org.vishia.gral.swt

## Class SwtGralMouseListener

- java.lang.Object
- - org.vishia.gral.swt.SwtGralMouseListener

-     public final class SwtGralMouseListener
      extends java.lang.Object

  This class contains implementations of `MouseListener` for Gral adaption of SWT. The static inner classes implements the MouseListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SwtGralMouseListener.MouseListenerGralAction` This class is the implementation of a SWT `MouseListener` and implements methods which invokes the `GralWidget.setActionMouse(GralMouseWidgetAction_ifc, int)` or the `GralWidget.setActionChange(GralUserAction)` on the determined mouse clicks.
    `private static class` | `SwtGralMouseListener.MouseListenerNoAction` This class implements a MouseListener which does not call a user method.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.eclipse.swt.events.MouseListener` | `mouseActionStd` The only one instance can used for all widgets because the working data are given with the mouse action methods.
    `static int` | `version` Version, History and copyright 2015-09-21 Hartmut chg: The capabilities of `SwtGralMouseListener.MouseListenerNoAction` is contained in `SwtGralMouseListener.MouseListenerGralAction` yet.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtGralMouseListener()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, History and copyright
      - 2015-09-21 Hartmut chg: The capabilities of `SwtGralMouseListener.MouseListenerNoAction` is contained in `SwtGralMouseListener.MouseListenerGralAction` yet. Therefore it is possible to get a mouse action in any `GralWidget.setActionChange(GralUserAction)`.
      - 2014-09-21 Hartmut chg: Using of `GralWidget.toString()` for double click info.
      - 2013-05-13 Hartmut chg: All methods of `GralMouseWidgetAction_ifc` changed, parameter key, position.
      - 2012-10-10 Hartmut the keycode for mouse pressed user actions contains pressing ctrl, alt, sh too.
      - 2012-03-09 Hartmut The methods `GralMouseWidgetAction_ifc#mouse1Up()` etc. are not called if the cursor was removed from the widget.
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### mouseActionStd

          protected static org.eclipse.swt.events.MouseListener mouseActionStd

      The only one instance can used for all widgets because the working data are given with the mouse action methods. The associated GralWidget data are accessed via the data field (the GralWidget is known in all Widget implementations).

  - ### Constructor Detail

    - #### SwtGralMouseListener

          public SwtGralMouseListener()